//
// Created by bspeice on 12/28/24.
//
#pragma once

#include <slang-com-ptr.h>
#include <slang.h>

#include <memory>

#include "rust/cxx.h"

namespace slang_compiler {

class GlobalSession {
public:
  explicit GlobalSession();

private:
  Slang::ComPtr<slang::IGlobalSession> global_session_;
};

std::unique_ptr<GlobalSession> create_global_session();

} // namespace slang_compiler
