#[cxx::bridge(namespace = "slang_compiler")]
mod ffi {
    unsafe extern "C++" {
        include!("lib.h");

        type GlobalSession;
        fn create_global_session() -> UniquePtr<GlobalSession>;
    }
}

#[cfg(test)]
mod tests {
    use crate::ffi::create_global_session;

    #[test]
    fn can_create_global_session() {
        let _global_session = create_global_session();
    }
}